# -*- coding: utf-8 -*-
"""
/***************************************************************************
 WCPSClient
                                 A QGIS plugin
 Makes WCPS requests to the server
                             -------------------
        begin                : 2014-10-09
        copyright            : (C) 2014 by Bidesh Thapaliya
        email                : bideshthapaliya@gmail.com
        git sha              : $Format:%H$
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 This script initializes the plugin, making it known to QGIS.
"""


# noinspection PyPep8Naming
def classFactory(iface):  # pylint: disable=invalid-name
    """Load QgisWcpsClient1 class from file wcps_client.

    :param iface: A QGIS interface instance.
    :type iface: QgsInterface
    """
    #
    from .wcps_client import QgsWcpsClient1
    return QgsWcpsClient1(iface)
